/* /public/login/login.css */

body {
    font-family: Arial, sans-serif;
    background-color: #1e3a5f; /* Azul marino suave */
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

.login-container {
    background-color: #fff;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    width: 300px;
    text-align: center;
}

h2 {
    margin-bottom: 20px;
    color: #007bff;
}

label {
    display: block;
    margin-bottom: 8px;
    font-weight: bold;
    text-align: left;
}

input {
    width: 100%;
    padding: 8px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    font-size: 16px; /* Asegúrate de que sea 16px o más para evitar zoom en móviles */
}

input:focus {
    outline: none; /* Elimina el contorno por defecto */
    -webkit-text-size-adjust: 100%; /* Para Safari */
}

button {
    width: 100%;
    padding: 10px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

button:hover {
    background-color: #0056b3;
}

.logo {
    max-width: 100%;
    height: auto;
    margin-bottom: 20px;
}

#error-message {
    text-align: center;
    margin-top: 10px;
}
